import type { ExtractPropTypes, PropType } from 'vue';
export interface ActionItem {
    action?: string;
    actionContent?: string;
    createdAt?: string;
    icon?: string;
    status?: 'color-none' | 'color-danger' | 'color-info' | 'color-success';
    [k: string]: unknown;
}
export interface ActionData {
    time?: string;
    actions?: ActionItem[];
}
export type TimelineLayout = 'horizontal' | 'vertical';
export interface LoadMoreConfig {
    type?: string;
    loadMore?: boolean;
    isToTop?: boolean;
    loadMoreText?: string;
    toTopText?: string;
}
export declare const actionTimelineProps: {
    data: {
        type: PropType<ActionData[]>;
    };
    layout: {
        type: PropType<TimelineLayout>;
        default: string;
    };
    loadMoreConfig: {
        type: PropType<LoadMoreConfig>;
    };
    showTailLine: {
        type: BooleanConstructor;
        default: boolean;
    };
    showStatusBgColor: {
        type: BooleanConstructor;
        default: boolean;
    };
    showStatusLineColor: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export type ActionTimelineProps = ExtractPropTypes<typeof actionTimelineProps>;
