import type { ExtractPropTypes, PropType } from 'vue';
export type ITableColumn = {
    key: string;
    title: string;
    type?: 'turn';
};
export type ITableDataRow = Record<string, any>;
export declare const apiTableProps: {
    readonly columns: {
        readonly type: PropType<ITableColumn[]>;
        readonly required: true;
        readonly default: () => never[];
    };
    readonly data: {
        readonly type: PropType<ITableDataRow[]>;
        readonly default: () => never[];
    };
};
export type ApiTableProps = ExtractPropTypes<typeof apiTableProps>;
